## octave-gsl 1.0.6

=== DESCRIPTION ===
Name: GSL
Version: 1.0.6
Date: 2008-04-29
Author: Teemu Ikonen   <tpikonen@pcu.helsinki.fi>
Maintainer: Teemu Ikonen   <tpikonen@pcu.helsinki.fi>
Title: GNU Scientific Library.
Description: Octave bindings to the GNU Scientific Library
Depends: octave (>= 2.9.7)
Autoload: yes
BuildRequires: gsl-devel
License: GPL version 2 or later
Url: http://octave.sf.net
# Version 1.0.5 -> Version 1.0.6 Ray Rogers rrogers@@plaidheron.com

## octave-gsl 1.0.8

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: GSL
-Version: 1.0.6
-Date: 2008-04-29
+Version: 1.0.8
+Date: 2009-05-03
 Author: Teemu Ikonen   <tpikonen@pcu.helsinki.fi>
 Maintainer: Teemu Ikonen   <tpikonen@pcu.helsinki.fi>
 Title: GNU Scientific Library.

=== src/Makefile ===
sinclude Makeconf

SF_BUILDSCRIPT=buildgsl_sf.sh
RM=rm
#LIBGSL=$(shell gsl-config --libs-without-cblas)
LIBGSL=-lgsl

# all automatically generated functions
SF_ALL_FNS=$(shell grep octave_name $(SF_BUILDSCRIPT) | sed 's/^.*octave_name=\([[:alnum:]_]*\) *$$/\1/g')
SF_AVAILABLE=$(filter-out $(GSL_MISSING),$(SF_ALL_FNS))

# all separately compiled functions
PROGS=coupling_3j.oct coupling_6j.oct coupling_9j.oct legendre_sphPlm_array.oct gsl_sf.oct

DEFINES=
ifeq ($(canonical_host_type),i686-pc-msdosmsvc)
DEFINES=-DWIN32 -DGSL_DLL
endif

%.oct: %.cc ; $(MKOCTFILE) $(DEFINES) $< $(LIBGSL)

ifeq ($(HAVE_GSL),yes)
all: gsl_sf.cc $(SF_LINKS) $(PROGS)
else
all:
	@echo "GSL libraries or headers not installed"
	false
endif

$(PROGS): Makefile

gsl_sf.cc: $(SF_BUILDSCRIPT)
	${SHELL} $(SF_BUILDSCRIPT) $(GSL_MISSING)

clean: ; -$(RM) -f gsl_sf.cc *.o core octave-core *.oct *~

=== debian/changelog ===
octave-gsl (1.0.8-7build1) xenial; urgency=medium

  * Rebuild against new gsl SONAME change.

 -- Michael Terry <mterry@ubuntu.com>  Tue, 08 Dec 2015 10:39:07 -0500

octave-gsl (1.0.8-7) unstable; urgency=medium

  [ Rafael Laboissiere ]
  * Remove obsolete Lintian override for hardening-no-fortify-functions

  [ Sébastien Villemot ]
  * d/control: Update build dependencies for GSL 2.
    Change libgsl0-dev to libgsl-dev.
    Thanks to Bas Couwenberg (Closes: #807220)

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 06 Dec 2015 22:02:08 +0100

octave-gsl (1.0.8-6) unstable; urgency=medium

  [ Sébastien Villemot ]
  * Use my @debian.org email address
  * Uploaders: remove Thomas Weber, add Rafael Laboissiere.

  [ Thomas Weber ]
  * debian/control: Use canonical URLs in Vcs-* fields
  * Remove obsolete DM-Upload-Allowed flag

  [ Rafael Laboissiere ]
  * Bump Standards-Version to 3.9.6 (no changes needed)

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 22 Sep 2014 18:08:58 +0200

octave-gsl (1.0.8-5) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/clean: Remove this useless file
  * debian/watch: Use the SourceForge redirector
  * debian/patches/add-bessel-zero-Jnu.patch: New patch from upstream SVN
  * Add Lintian overrides for false positives on hardening flags

  [ Sébastien Villemot ]
  * Register PDF doc through doc-base

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Mon, 28 May 2012 16:01:47 +0000

octave-gsl (1.0.8-4) unstable; urgency=low

  [ Rafael Laboissiere ]
  * Add script for checking the functions ellint and hyperg
  * Add patch for avoiding the use of the deprecated function split

  [ Sébastien Villemot ]
  * Imported Upstream version 1.0.8
  * Add Sébastien Villemot to Uploaders
  * Bump to debhelper compat level 9
  * Build-depend on octave-pkg-dev >= 1.0.0, to compile against Octave 3.6
  * Bump Standards-Version to 3.9.3, no changes needed
  * debian/copyright: update to machine-readable format 1.0

 -- Thomas Weber <tweber@debian.org>  Mon, 12 Mar 2012 23:08:43 +0100

octave-gsl (1.0.8-3) unstable; urgency=low

  * debian/control: 
    - Remove Rafael Laboissiere from Uploaders (Closes: #571930)
    - Remove Ólafur Jens Sigurðsson <ojsbug@gmail.com> from Uploaders 
  * Switch to dpkg-source 3.0 (quilt) format
  * Bump Standards-Version to 3.9.1 (no changes needed)

 -- Thomas Weber <tweber@debian.org>  Sun, 10 Apr 2011 14:53:11 +0200

octave-gsl (1.0.8-2) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/control: Build-depend on octave-pkg-dev >= 0.7.0, such that the
    package is built against octave3.2

  [ Thomas Weber ]
  * Remove code for removal of unneeded documentation sources via from
    debian/rules - with the changes to octave-pkg-dev, only explicitly
    listed files in octave-gsl.docs are installed.

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Fri, 04 Dec 2009 00:54:24 +0100

octave-gsl (1.0.8-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    + (Standards-Version): Bump to 3.8.1 (no changes needed)
    + (Depends): Add ${misc:Depends}
    + (Vcs-Git, Vcs-Browser): Adjust to new Git repository
  * debian/rules: Remove the unneeded documentation sources, which are
    installed in /usr/share/doc
  * debian/copyright:
    + Use DEP5 URL in Format-Specification
    + Use separate License stanzas for instructing about the location of
      the different licenses used in the package

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 24 May 2009 14:28:05 +0200

octave-gsl (1.0.7-2) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/copyright: Add header
  * debian/control: Bump build-dependency on octave-pkg-dev to >= 0.6.4,
    such that the package is built with the versioned packages directory

  [ Thomas Weber ]
  * Upload to unstable

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Sat, 04 Apr 2009 23:05:32 +0200

octave-gsl (1.0.7-1) experimental; urgency=low

  [ Rafael Laboissiere ]
  * debian/rules: Use debian/clean instead of manually cleaning files
  * debian/compat, debian/control: Bump build-dependency on debhelper to
    >= 7.0.0, otherwise debian/clean is moot
  * debian/clean: New file
  * debian/control: Bump Standards-Version to 3.8.0 (no changes needed)

  [ Thomas Weber ]
  * New upstream release
  * Bump dependency on octave-pkg-dev to 0.6.1, to get the experimental
    version

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Sun, 07 Dec 2008 21:46:10 +0100

octave-gsl (1.0.6.4) unstable; urgency=low

  * Remove supderfluos ls command from debian/rules, used for debugging.

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Tue, 13 May 2008 15:35:46 +0200

octave-gsl (1.0.6-1) unstable; urgency=low

  * New upstream release.

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Tue, 13 May 2008 14:47:09 +0200

octave-gsl (1.0.4) unstable; urgency=low

  * Initial release (closes: #468502)

 -- Ólafur Jens Sigurðsson <ojsbug@gmail.com>  Sat, 09 Feb 2008 13:05:04 +0100

=== debian/control ===
Source: octave-gsl
Section: math
Priority: optional
Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Uploaders: Sébastien Villemot <sebastien@debian.org>,
           Rafael Laboissiere <rafael@laboissiere.net>
Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.0), libgsl-dev
Standards-Version: 3.9.6
Homepage: http://octave.sourceforge.net/gsl
Vcs-Git: git://anonscm.debian.org/pkg-octave/octave-gsl.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-octave/octave-gsl.git

Package: octave-gsl
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${octave:Depends}
Description: GSL binding for Octave
 This package provides bindings to the GNU Scientific Library for
 Octave, a numerical computation software. The GSL is a collection
 of routines for numerical analysis.
 .
 This Octave add-on package is part of the Octave-Forge project.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/cdbs/1/class/octave-pkg.mk

=== debian/watch ===
version=3
http://sf.net/octave/gsl-(.+)\.tar\.gz

## octave-gsl 2.0.0

=== debian/changelog ===
octave-gsl (2.0.0-1) unstable; urgency=medium

  [ Sébastien Villemot ]
  * New upstream version 2.0.0
  * d/copyright: reflect upstream changes.
  * Drop patches, no longer needed.
    + d/p/add-bessel-zero-Jnu.patch
    + d/p/avoid-deprecated-split.patch
  * Bump to debhelper compat level 10.
  * No more PDF documentation in the package.
  * d/clean: new file for coping with build system deficiency.
  * d/check.m: drop file, no longer needed.
  * Drop obsolete lintian overrides.

  [ Rafael Laboissiere ]
  * d/control: Use secure URIs in the Vcs-* fields
  * d/control: Bump Standards-Version to 3.9.8 (no changes needed)

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 25 Nov 2016 11:21:16 +0100

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: optional
 Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
 Uploaders: Sébastien Villemot <sebastien@debian.org>,
-           Rafael Laboissiere <rafael@laboissiere.net>
-Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.0), libgsl-dev
-Standards-Version: 3.9.6
+           Rafael Laboissiere <rafael@debian.org>
+Build-Depends: debhelper (>= 10), cdbs, octave-pkg-dev (>= 1.0.0), libgsl-dev
+Standards-Version: 3.9.8
 Homepage: http://octave.sourceforge.net/gsl
-Vcs-Git: git://anonscm.debian.org/pkg-octave/octave-gsl.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-octave/octave-gsl.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-octave/octave-gsl.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-octave/octave-gsl.git
 
 Package: octave-gsl
 Architecture: any

## octave-gsl 2.1.0

=== DESCRIPTION ===
Name: GSL
Version: 2.1.0
Date: 2017-08-18
Author: Teemu Ikonen and others
Maintainer: Octave-Forge community <maintainers@octave.org>
Title: GNU Scientific Library.
Description: Octave bindings to the GNU Scientific Library
Depends: octave (>= 2.9.7)
Autoload: no
BuildRequires: gsl-devel
License: GPL version 2 or later
Url: http://octave.sf.net

=== Makefile ===
## Copyright 2015-2016 Carnë Draug
## Copyright 2015-2016 Oliver Heimlich
## Copyright 2017 Julien Bect <jbect@users.sf.net>
## Copyright 2017 Olaf Till <i7tiol@t-online.de>
##
## Copying and distribution of this file, with or without modification,
## are permitted in any medium without royalty provided the copyright
## notice and this notice are preserved.  This file is offered as-is,
## without any warranty.

## Some basic tools (can be overriden using environment variables)
SED ?= sed
TAR ?= tar
GREP ?= grep
CUT ?= cut
TR ?= tr

## Note the use of ':=' (immediate set) and not just '=' (lazy set).
## http://stackoverflow.com/a/448939/1609556
package := $(shell $(GREP) "^Name: " DESCRIPTION | $(CUT) -f2 -d" " | \
$(TR) '[:upper:]' '[:lower:]')
version := $(shell $(GREP) "^Version: " DESCRIPTION | $(CUT) -f2 -d" ")

## This are the paths that will be created for the releases. Using
## $(realpath ...) avoids problems with symlinks.
target_dir       := $(realpath .)/target
release_dir      := $(target_dir)/$(package)-$(version)
release_tarball  := $(target_dir)/$(package)-$(version).tar.gz
html_dir         := $(target_dir)/$(package)-html
html_tarball     := $(target_dir)/$(package)-html.tar.gz
installation_dir := $(target_dir)/.installation
package_list     := $(installation_dir)/.octave_packages
install_stamp    := $(installation_dir)/.install_stamp

## These can be set by environment variables which allow to easily
## test with different Octave versions.
ifndef OCTAVE
OCTAVE := octave
endif
OCTAVE := $(OCTAVE) --no-gui --silent --no-history --norc
MKOCTFILE ?= mkoctfile

## Command used to set permissions before creating tarballs
FIX_PERMISSIONS ?= chmod -R a+rX,u+w,go-w,ug-s

## Detect which VCS is used
vcs := $(if $(wildcard .hg),hg,$(if $(wildcard .git),git,unknown))
ifeq ($(vcs),hg)
release_dir_dep := .hg/dirstate
endif
ifeq ($(vcs),git)
release_dir_dep := .git/index
endif


## .PHONY indicates targets that are not filenames
## (https://www.gnu.org/software/make/manual/html_node/Phony-Targets.html)
.PHONY: help

## make will display the command before runnning them.  Use @command
## to not display it (makes specially sense for echo).
help:
	@echo "Targets:"
	@echo "   dist    - Create $(release_tarball) for release."
	@echo "   html    - Create $(html_tarball) for release."
	@echo "   release - Create both of the above and show md5sums."
	@echo "   install - Install the package in $(installation_dir), where it is not visible in a normal Octave session."
	@echo "   check   - Execute package tests."
	@echo "   doctest - Test the help texts with the doctest package."
	@echo "   run     - Run Octave with the package installed in $(installation_dir) in the path."
	@echo "   clean   - Remove everything made with this Makefile."


##
## Recipes for release tarballs (package + html)
##

.PHONY: release dist html clean-tarballs clean-unpacked-release

## To make a release, build the distribution and html tarballs.
release: dist html
	md5sum $(release_tarball) $(html_tarball)
	@echo "Upload @ https://sourceforge.net/p/octave/package-releases/new/"
	@echo "    and note the changeset the release corresponds to"

## dist and html targets are only PHONY/alias targets to the release
## and html tarballs.
dist: $(release_tarball)
html: $(html_tarball)

## An implicit rule with a recipe to build the tarballs correctly.
%.tar.gz: %
	$(TAR) -c -f - --posix -C "$(target_dir)/" "$(notdir $<)" | gzip -9n > "$@"

clean-tarballs:
	@echo "## Cleaning release tarballs (package + html)..."
	-$(RM) $(release_tarball) $(html_tarball)
	@echo

## Create the unpacked package.
##
## Notes:
##    * having ".hg/dirstate" (or ".git/index") as a prerequesite means it is
##      only rebuilt if we are at a different commit.
##    * the variable RM usually defaults to "rm -f"
##    * having this recipe separate from the one that makes the tarball
##      makes it easy to have packages in alternative formats (such as zip)
##    * note that if a commands needs to be run in a specific directory,
##      the command to "cd" needs to be on the same line.  Each line restores
##      the original working directory.
$(release_dir): $(release_dir_dep)
	-$(RM) -r "$@"
ifeq (${vcs},hg)
	hg archive --exclude ".hg*" --type files "$@"
endif
ifeq (${vcs},git)
	git archive --format=tar --prefix="$@/" HEAD | $(TAR) -x
	$(RM) "$@/.gitignore"
endif
## Don't fall back to run the supposed necessary contents of
## 'bootstrap' here. Users are better off if they provide
## 'bootstrap'. Administrators, checking build reproducibility, can
## put in the missing 'bootstrap' file if they feel they know its
## necessary contents.
ifneq (,$(wildcard src/bootstrap))
	cd "$@/src" && ./bootstrap && $(RM) -r "autom4te.cache"
endif
## Uncomment this if your src/Makefile.in has these targets for
## pre-building something for the release (e.g. documentation).
#	cd "$@/src" && ./configure && $(MAKE) prebuild && \
#	  $(MAKE) distclean && $(RM) Makefile
##
	${FIX_PERMISSIONS} "$@"

run_in_place = $(OCTAVE) --eval ' pkg ("local_list", "$(package_list)"); ' \
                         --eval ' pkg ("load", "$(package)"); '

html_options = --eval 'options = get_html_options ("octave-forge");'
## Uncomment this for package documentation.
# html_options = --eval 'options = get_html_options ("octave-forge");' \
#                --eval 'options.package_doc = "$(package).texi";'
$(html_dir): $(install_stamp)
	$(RM) -r "$@";
	$(run_in_place)                    \
        --eval ' pkg load generate_html; ' \
	$(html_options)                    \
        --eval ' generate_package_html ("$(package)", "$@", options); ';
	$(FIX_PERMISSIONS) "$@";

clean-unpacked-release:
	@echo "## Cleaning unpacked release tarballs (package + html)..."
	-$(RM) -r $(release_dir) $(html_dir)
	@echo

##
## Recipes for installing the package.
##

.PHONY: install clean-install

octave_install_commands = \
' llist_path = pkg ("local_list"); \
  mkdir ("$(installation_dir)"); \
  load (llist_path); \
  local_packages(cellfun (@ (x) strcmp ("$(package)", x.name), local_packages)) = []; \
  save ("$(package_list)", "local_packages"); \
  pkg ("local_list", "$(package_list)"); \
  pkg ("prefix", "$(installation_dir)", "$(installation_dir)"); \
  pkg ("install", "-local", "-verbose", "$(release_tarball)"); '

## Install unconditionally. Maybe useful for testing installation with
## different versions of Octave.
install: $(release_tarball)
	@echo "Installing package under $(installation_dir) ..."
	$(OCTAVE) --eval $(octave_install_commands)
	touch $(install_stamp)

## Install only if installation (under target/...) is not current.
$(install_stamp): $(release_tarball)
	@echo "Installing package under $(installation_dir) ..."
	$(OCTAVE) --eval $(octave_install_commands)
	touch $(install_stamp)

clean-install:
	@echo "## Cleaning installation under $(installation_dir) ..."
	-$(RM) -r $(installation_dir)
	@echo


##
## Recipes for testing purposes
##

.PHONY: run doctest check

## Start an Octave session with the package directories on the path for
## interactice test of development sources.
run: $(install_stamp)
	$(run_in_place) --persist

## Test example blocks in the documentation.  Needs doctest package
##  https://octave.sourceforge.io/doctest/index.html
doctest: $(install_stamp)
	$(run_in_place) --eval 'pkg load doctest;'                                                          \
	  --eval "targets = '$(shell (ls inst; ls src | $(GREP) .oct) | $(CUT) -f2 -d@ | $(CUT) -f1 -d.)';" \
	  --eval "targets = strsplit (targets, ' ');  doctest (targets);"


## Test package.
octave_test_commands = \
' dirs = {"inst", "src"}; \
  dirs(cellfun (@ (x) ! isdir (x), dirs)) = []; \
  if (isempty (dirs)) error ("no \"inst\" or \"src\" directory"); exit (1); \
    else __run_test_suite__ (dirs, {}); endif '
## the following works, too, but provides no overall summary output as
## __run_test_suite__ does:
##
##    else cellfun (@runtests, horzcat (cellfun (@ (dir) ostrsplit (([~, dirs] = system (sprintf ("find %s -type d", dir))), "\n\r", true), dirs, "UniformOutput", false){:})); endif '
check: $(install_stamp)
	$(run_in_place) --eval $(octave_test_commands)


##
## CLEAN
##

.PHONY: clean

clean: clean-tarballs clean-unpacked-release clean-install
	@echo "## Removing target directory (if empty)..."
	-rmdir $(target_dir)
	@echo
	@echo "## Cleaning done"
	@echo

=== debian/changelog ===
octave-gsl (2.1.0-3) unstable; urgency=medium

  * Use dh-octave for building the package
  * d/control:
     + Use Debian's GitLab URLs in Vcs-* headers
     + Change Maintainer to team+pkg-octave-team@tracker.debian.org

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 10 Feb 2018 07:31:20 -0200

octave-gsl (2.1.0-2) unstable; urgency=medium

  * Use the dh-based version of octave-pkg-dev
  * Set debhelper compatibility level to >= 11
  * d/control:
    + Bump Standards-Version to 4.1.3 (no changes needed)
    + Add Testsuite field

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 29 Dec 2017 22:13:38 -0200

octave-gsl (2.1.0-1) unstable; urgency=medium

  [ Sébastien Villemot ]
  * New upstream version 2.1.0
  * d/copyright:
    + reflect upstream changes.
    + use secure URL for format.
  * d/watch: bump to format version 4.
  * Remove unneeded version on octave-pkg-dev dependency.
  * Bump Standards-Version to 4.1.0.

  [ Rafael Laboissiere ]
  * d/control: Use cgit instead of gitweb in Vcs-Browser URL

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 22 Aug 2017 21:36:36 +0200

=== debian/control ===
Source: octave-gsl
Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
Uploaders: Sébastien Villemot <sebastien@debian.org>,
           Rafael Laboissiere <rafael@debian.org>
Section: math
Priority: optional
Build-Depends: debhelper (>= 11),
               dh-octave,
               libgsl-dev
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-gsl
Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-gsl.git
Homepage: http://octave.sourceforge.net/gsl
Testsuite: autopkgtest-pkg-octave

Package: octave-gsl
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${octave:Depends}
Description: GSL binding for Octave
 This package provides bindings to the GNU Scientific Library for
 Octave, a numerical computation software. The GSL is a collection
 of routines for numerical analysis.
 .
 This Octave add-on package is part of the Octave-Forge project.

## octave-gsl 2.1.1

=== debian/changelog ===
octave-gsl (2.1.1-8) unstable; urgency=medium

  * d/control:
    + Update Homepage URL
  * d/copyright:
    + Update Source URL
  * d/u/metadata:
    + Add upstream repository URL
    + Update Bug-Database URL
  * d/control:
    + Bump Standards-Version to 4.7.2 (no changes needed)
    + Drop the versioned dependency on dh-octave. Relationship >= 1.2.3 is
      satisfiable in oldoldstable, which has version 1.2.7.
    + Drop “Rules-Requires-Root: no”, which is now the default
  * d/watch: Convert to format version 5
  * d/s/lintian-override: Override Lintian warning
    debian-watch-lacks-sourceforge-redirector

 -- Rafael Laboissière <rafael@debian.org>  Mon, 13 Oct 2025 10:46:37 -0300

octave-gsl (2.1.1-7) unstable; urgency=medium

  * d/watch: Adjust for new URL at gnu-octave.github.io
  * d/s/lintian-override: Override Lintian warning
    debian-watch-lacks-sourceforge-redirector

 -- Rafael Laboissière <rafael@debian.org>  Mon, 05 Dec 2022 07:38:32 -0300

octave-gsl (2.1.1-6) unstable; urgency=medium

  * Set upstream metadata fields: Archive.
  * d/control: Bump Standards-Version to 4.6.1 (no changes needed)
  * Build-depend on dh-sequence-octave
    + d/control: Ditto
    + d/rules: Drop the --with=octave option from dh call
  * Proper cleaning of files generated by the configure script
    + d/clean: Drop obsolete file
    + d/control: Buidl-depend on dh-octave >= 1.2.3
  * d/copyright:
    + Accentuate my family name
    + Update copyright year for debian/* files

 -- Rafael Laboissière <rafael@debian.org>  Mon, 11 Jul 2022 02:52:41 -0300

octave-gsl (2.1.1-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + octave-gsl: Add Multi-Arch: same.

 -- Rafael Laboissière <rafael@debian.org>  Sat, 14 Nov 2020 07:16:14 -0300

octave-gsl (2.1.1-4) unstable; urgency=medium

  * d/control:
    + Bump Standards-Version to 4.5.0 (no changes needed)
    + Bump debhelper compatibitlity level to 13
  * d/u/metadata: New file

 -- Rafael Laboissière <rafael@debian.org>  Tue, 28 Jul 2020 07:59:29 -0300

octave-gsl (2.1.1-3) unstable; urgency=medium

  [ Sébastien Villemot ]
  * d/copyright: use correct license short name (FSFAP) for Makefile

  [ Rafael Laboissiere ]
  * d/control:
    + Bump Standards-Version to 4.4.1 (no changes needed)
    + Bump dependency on dh-octave to >= 0.7.1
      This allows the injection of the virtual package octave-abi-N
      into the package's list of dependencies.

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 05 Nov 2019 01:55:45 -0300

octave-gsl (2.1.1-2) unstable; urgency=medium

  * d/control:
    + Add Rules-Requires-Root: no
    + Bump Standards-Version to 4.3.0
    + Bump to debhelper compat level 12
  * Build-depend on debhelper-compat instead of using d/compat

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 02 Jan 2019 22:55:41 -0200

octave-gsl (2.1.1-1) unstable; urgency=medium

  [ Rafael Laboissiere ]
  * New upstream version 2.1.1
  * d/control: Bump Standards-Version to 4.1.4 (no changes needed)

  [ Mike Miller ]
  * d/control, d/copyright: Use secure URL for upstream source.

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 24 Jun 2018 07:39:34 -0300

=== debian/control ===
Source: octave-gsl
Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
Uploaders: Sébastien Villemot <sebastien@debian.org>,
           Rafael Laboissière <rafael@debian.org>
Section: math
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-octave,
               libgsl-dev
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-gsl
Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-gsl.git
Homepage: https://gnu-octave.github.io/packages/gsl/
Testsuite: autopkgtest-pkg-octave

Package: octave-gsl
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${octave:Depends}
Multi-Arch: same
Description: GSL binding for Octave
 This package provides bindings to the GNU Scientific Library for
 Octave, a numerical computation software. The GSL is a collection
 of routines for numerical analysis.
 .
 This Octave add-on package is part of the Octave-Forge project.

=== debian/watch ===
Version: 5

Source: https://gnu-octave.github.io/packages/gsl/
Matching-Pattern: https://downloads.sourceforge.net/project/octave/Octave%20Forge%20Packages/Individual%20Package%20Releases/gsl-@ANY_VERSION@@ARCHIVE_EXT@
